Bug 974270 - Build dependencies should include valgrind-devel
Build dependencies should include valgrind-devel
Product: Fedora
Classification: Fedora
Component: jemalloc (Show other bugs)
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Ingvar Hagelund
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-13 15:44 EDT by David Strauss
Modified: 2015-06-30 18:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-29 21:31:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Without valgrind-devel (19.69 KB, text/plain)
2013-06-14 13:58 EDT, David Strauss
no flags Details
with valgrind-devel (22.00 KB, text/plain)
2013-06-14 13:58 EDT, David Strauss
no flags Details

  None (edit)
Description David Strauss 2013-06-13 15:44:39 EDT
Description of problem:
jemalloc wants to build with Valgrind support by default, and we don't explicitly disable it. But, if valgrind-devel isn't installed, jemalloc builds without Valgrind support and doesn't return any errors.

Valgrind support is good to have for troubleshooting purposes, and it has no impact on use of jemalloc outside of Valgrind. jemalloc automatically detects when it runs within Valgrind and enables the support.

Alternatively, we should explicitly disable Valgrind support. We certainly should be building something different just because valgrind-devel is installed or not.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Build Valgrind from the SRPM

Actual results:
No support for Valgrind

Expected results:
Support for default capabilities, like Valgrind
Comment 1 Ingvar Hagelund 2013-06-14 03:33:26 EDT
Official downstream packages are built by mock in koji, does not pull inn valgrind, and would thus not enable valgrind support.

Also, if building the package by mock locally, valgrind support will not be enabled by the same reason.

When building packages in an "uncontrolled" environment, like a developer's workstation, anything may happen.

On the other hand, having valgrind support sounds like a nice thing to enable, so I'll consider it for the next package.

Comment 2 David Strauss 2013-06-14 13:57:54 EDT
> Also, if building the package by mock locally, valgrind support will not be enabled by the same reason.

That doesn't seem to be the case. See my attached builds using mock, with and without Valgrind installed to my "onebox VM" system.
Comment 3 David Strauss 2013-06-14 13:58:23 EDT
Created attachment 761392 [details]
Without valgrind-devel
Comment 4 David Strauss 2013-06-14 13:58:50 EDT
Created attachment 761393 [details]
with valgrind-devel
Comment 5 Ingvar Hagelund 2013-06-17 07:28:13 EDT
I don't follow you there. id=761392 may be a mock build. It's not clear if it is.

The default build system tries to enable valgrind, but fails 

./configure (...) --enable-valgrind (...)
valgrind is compilable... no
valgrind           : 0

So valgrind is not enabled, since it's not available. Which is as it should be as the package today. 

Installing valgrind and building the package locally (not with mock), enables valgrind support, of course. This is what you do in your second attachment, id=761393.

I'll just repeat what I stated earlier: In an uncontrolled or "polluted" build environment, anything may happen. We don't control what upstream may automatically enable based on what a system looks like. Which is why we use a controlled, minimal environment, like koji/mock, to build distribution-quality packages.

According to upstream, adding valgrind support has very low runtime footprint if valgrind is not installed. So enabling valgrind support to the build requirements (though not to the install requirements) should be OK. Thus valgrind may be available for the users, but not compulsory to install.

Comment 6 David Strauss 2013-06-17 12:14:09 EDT
Ah, I see my confusion here. Despite the build process I run (1) building within the current user's home directory and (2) only allowing itself to run if there's a mockbuild user on the system, it's not a mock build unless I use the command "mock" to kick off the build.
Comment 7 Fedora End Of Life 2013-09-16 12:43:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
Comment 8 Fedora Update System 2014-08-15 07:47:38 EDT
jemalloc-3.6.0-6.fc20 has been submitted as an update for Fedora 20.
Comment 9 Fedora Update System 2014-08-15 20:27:27 EDT
Package jemalloc-3.6.0-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jemalloc-3.6.0-6.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-08-18 09:20:16 EDT
jemalloc-3.6.0-8.fc20 has been submitted as an update for Fedora 20.
Comment 11 Fedora End Of Life 2015-05-29 05:07:19 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-06-29 21:31:47 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Ingvar Hagelund 2015-06-30 18:05:14 EDT
This was actually fixed in jemalloc-3.6.0-6.fc20, so I change the closed status to CLOSED ERRATA.

Note You need to log in before you can comment on or make changes to this bug.